'
Class ToggleDeviceSample
    Public Sub Main(ByVal Parms As String)
        ''
        '' Toggle the Specified Device ON/OFF
        ''   DIM is considered ON
        ''
        '' Specify the Device Name, including Locations, as a Parm
        Dim devValue As Double
        Dim theDevice As String

        '' Get Device from the Parms
        theDevice = Parms.ToString
        '' Get the Device Status
        devValue = hs.DeviceValueByName(theDevice)
        '' Toggle it
        Select Case devValue
            Case Is > 0
                '' Device ON or DIM, turn it OFF
                hs.SetDeviceValueByName(theDevice, 0)
            Case 0
                '' Device OFF, turn it ON
                hs.SetDeviceValueByName(theDevice, 100)
        End Select
    End Sub
End Class
Class ScriptWithEmbeddedClassDefinition
    Public Sub Main(ByVal Parmsparms As String)
        Dim o As TestClass
        o = New TestClass("Hello World", hs)
        o.Logit()
    End Sub
    Class TestClass
        Private _LogMessage As String, _hs As HomeSeerAPI.IHSApplication
        Public Sub New(LogMessage As String, hs As HomeSeerAPI.IHSApplication)
            _LogMessage = LogMessage
            _hs = hs
        End Sub
        Public Sub Logit()
            _hs.WriteLog("Logit", _LogMessage)
        End Sub
    End Class
End Class
Class NonHsParmsSample
    Public Sub Main(ByVal parms() As Object)
        If parms.Length > 0 Then
            For i As Integer = 0 To parms.Length - 1
                hs.WriteLog("SampleScript", "Parameter" & i.ToString & "=" & parms(i).ToString)
            Next
        Else
            hs.WriteLog("SampleScript", "No Parameters Found")
        End If

    End Sub
End Class
